{* Calculate title from path *}
{capture name="title"}
   {if count($path) > 1} - {/if}
   {foreach from=$path item=category name=path}
      {if $smarty.foreach.path.iteration gt 2}
         &gt;
      {/if}
      {if not $smarty.foreach.path.first}
         {$category.TITLE}
      {/if}
   {/foreach}
{/capture}

{strip}
{if $title_prefix}
   {assign var="in_page_title" value=$title_prefix|cat:$category.TITLE}
{else}
   {assign var="in_page_title" value=$category.TITLE}
{/if}
{assign var="description" value=$category.DESCRIPTION}

{include file="header.tpl"}

{include file="top_bar.tpl"}
<table cellpadding="0" cellspacing="0" border="0" width="837" align="center" class="mastermain">
	<tr>
		<td class="menu" width="121" align="left">
			<a href="{$smarty.const.DOC_ROOT}"><img src="{$smarty.const.DOC_ROOT}/images/btn-home.png" alt="" width="119" height="27" border="0"/></a><br />
			<a href="{$smarty.const.DOC_ROOT}/submit.php{if !empty ($category.ID) and $category.ID > 0}?c={$category.ID}{/if}" title="{l}Submit your link to the directory{/l}"><img src="{$smarty.const.DOC_ROOT}/images/btn-submit.png" alt="" width="119" height="27" border="0"/></a><br />
			 <a href="{$smarty.const.DOC_ROOT}/index.php?p=d" title="{l}Browse latest submitted links{/l}"><img src="{$smarty.const.DOC_ROOT}/images/btn-latest.png" alt="" width="119" height="27" border="0"/></a><br />
			 <a href="{$smarty.const.DOC_ROOT}/index.php?p=h" title="{l}Browse most popular links{/l}"><img src="{$smarty.const.DOC_ROOT}/images/btn-tophits.png" alt="" width="119" height="27" border="0"/></a><br />
			 <a href="{$smarty.const.DOC_ROOT}/contact.php" title="Have a Question?"><img src="{$smarty.const.DOC_ROOT}/images/btn-contact.png" alt="" width="119" height="27" border="0"/></a><br />
			 {if $smarty.const.ENABLE_RSS and ($qu ne '' or $category.ID gt 0 or $p)}<a href=
	"{$smarty.const.DOC_ROOT}/rss.php?{if $qu ne ''}q={$qu}{elseif $p}p={$p}{else}c={$category.ID}{/if}">
	<img src="{$smarty.const.DOC_ROOT}/images/xml.gif" border="0" style="POSITION: relative; TOP: 3px;" alt="XML"/>
	</a>{/if}<br /><br />
		</td>
		<td width="26" style="background: url('{$smarty.const.DOC_ROOT}/images/asset_main.gif') repeat-y;">&nbsp;</td>
		<td class="maincontent">
{* Calculate the number of categories per row *}
{php}
   $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / CATS_PER_ROW));
{/php}

{if $cats_per_col > 15}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / (CATS_PER_ROW + 1)));
   {/php}
{/if}

{* Categories *}
{if !empty($categs)}
   {if !empty($category.ID)}
      <h3>{l}Categories{/l}</h3>
   {/if}

      <table border="0" cellpadding="0" cellspacing="2">
      <tr>
         {foreach from=$categs item=cat name=categs}
      {if ($smarty.foreach.categs.iteration mod $cats_per_col eq 1 and $cats_per_col gt 1) or $smarty.foreach.categs.first}<td>{/if}
      <h2><img src="{$smarty.const.DOC_ROOT}/images/catheader.png" align="top" alt="" hspace="2" height="17" width="18" border="0" /><a href="{if $smarty.const.ENABLE_REWRITE}{$cat.TITLE_URL|escape}/{else}index.php?c={$cat.ID}{/if}">{$cat.TITLE|escape}</a>{if $smarty.const.CATS_COUNT} <span class="count">({$cat.COUNT})</span>{/if}</h2>

         {* Display subcategories *}
         {if !empty($cat.SUBCATS)}
         <p class="subcats">
            {foreach from=$cat.SUBCATS item=scat name=scategs}
               <a href="{if $smarty.const.ENABLE_REWRITE}{$cat.TITLE_URL|escape}/{$scat.TITLE_URL|escape}/{else}index.php?c={$scat.ID}{/if}">
            {$scat.TITLE|escape}</a>, {/foreach} ...
         </p>
         {/if}
         {if ($smarty.foreach.categs.iteration mod $cats_per_col eq 0 and $cats_per_col gt 1) or $smarty.foreach.categs.last}</td>{/if}
         {/foreach}
      </tr>
      </table>
{/if}

{if $smarty.const.FTR_ENABLE == 1 and !empty($feat_links)}
   <h3><img src="{$smarty.const.DOC_ROOT}/images/featlnk.png" align="top" alt="" hspace="2" height="18" width="18" border="0" />{l}Featured Links{/l}</h3>
   {foreach from=$feat_links item=link name=links}
      {include file="link.tpl" link=$link}
   {/foreach}
{/if}

{* Links heading and sorting*}
{if ($uid or $search or !empty($category.ID) or $list) and !empty($links)}
   <h3><img src="{$smarty.const.DOC_ROOT}/images/link.png" align="top" alt="" hspace="2" height="17" width="18" border="0" />{l}Links{/l} {if not $list}<span class="small" style="margin-left:50px;">{l}Sort by{/l}:
   {if $smarty.const.ENABLE_PAGERANK and $smarty.const.SHOW_PAGERANK}{if $sort eq 'P'}<span class="sort"> {l}PageRank{/l}</span>{else}<a href="?s=P{if not $smarty.const.ENABLE_REWRITE}&amp;c={$category.ID}{/if}{if $search}&amp;search={$search}{/if}{if $uid}&amp;uid={$uid}{/if}{if !empty($p)}&amp;p={$p}{/if}"> {l}PageRank{/l}</a>{/if} |{/if}
   {if $sort eq 'H'} <span class="sort">{l}Hits{/l}</span>{else} <a href="?s=H{if not $smarty.const.ENABLE_REWRITE}&amp;c={$category.ID}{/if}{if $search}&amp;search={$search}{/if}{if $uid}&amp;uid={$uid}{/if}{if !empty($p)}&amp;p={$p}{/if}">{l}Hits{/l}</a>{/if}
   {if $sort eq 'A'} | <span class="sort">{l}Alphabetical{/l}</span>{else} | <a href="?s=A{if not $smarty.const.ENABLE_REWRITE}&amp;c={$category.ID}{/if}{if $search}&amp;search={$search}{/if}{if $uid}&amp;uid={$uid}{/if}{if !empty($p)}&amp;p={$p}{/if}">{l}Alphabetical{/l}</a>{/if}
   </span>{/if}</h3>
   {foreach from=$links item=link name=links}
      {include file="link.tpl" link=$link}
   {/foreach}
{/if}

{* Javascript for tracking link clicks *}
<script type="text/javascript">
/* <![CDATA[ */
   var root = '{$smarty.const.DOC_ROOT}';
   {literal}
   var a = document.getElementsByTagName("a");
   for(i = 0; i< a.length; i++)
      if(a[i].id != '')
         a[i].onclick = count_link;
   function count_link() {
      i = new Image();
      i.src= root+'/cl.php?id='+this.id;
      return true;
   }
   {/literal}
/* ]]> */
</script>
{if $list_total gt 0}
   <div class="navig">
      <div style="float: right">

         {if $smarty.const.ENABLE_REWRITE}
            {assign var='url_pattern' value='?p=$'}
         {/if}

         {pager rowcount=$list_total limit=$smarty.const.PAGER_LPP class_num="" class_numon="a" class_text="" posvar="p" show="page" txt_next="Next" txt_prev="Previous" shift="1" separator=" " wrap_numon="[|]" url_pattern="$url_pattern"}

      </div>
      {l}Total records:{/l} <span class="records">{$list_total}</span>
   </div>
{/if}
</td>
		<td class="advs">
			<div style="background: url('{$smarty.const.DOC_ROOT}/images/btnbg.gif') repeat-x bottom center; height:21px; padding-top:5px;">
				<h2>Sponsored Listings</h2>
			</div>
			<div id="adv1">
				Your Link Here<br />
				Your Link Here<br />
				Your Link Here<br />
				...<br />
	 			<br />
			</div>
		<div style="background: url('{$smarty.const.DOC_ROOT}/images/btnbg.gif') repeat-x bottom center; height:26px; height:21px; padding-top:5px;"><h2>Advertisements</h2></div>
		<div id="adv2">{literal}<!-- This is where to place your ads -->{/literal}</div>
	<br />
	<div style="text-align:center;">
		</div>
		</td>
	</tr>
</table>
{include file="footer.tpl"}
{/strip}